
namespace OASystem.Domain.Entities.System
{
    /// <summary>
    /// 页面权限表
    /// </summary>
    [SugarTable("Sys_SystemMenuPermission")]
    public class Sys_SystemMenuPermission:EntityBase
    {
        /// <summary>
        /// 页面名称
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(80)")]
        public string Name { get; set; }
        /// <summary>
        /// 是否启用
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int IsEnable { get; set; }
        /// <summary>
        /// 模块Id
        /// </summary>
        [SugarColumn(IsNullable = true,ColumnDataType ="int")]
        public int Mid { get; set; }
        /// <summary>
        /// 页面权限Code
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(20)")]
        public string SystemMenuCode { get; set; }

        /// <summary>
        /// web端URL
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string WebUrl { get; set; }
        /// <summary>
        /// Android端URL
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string AndroidUrl { get; set; }
        /// <summary>
        /// iOS端URL
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string IosUrl { get; set; }
        
        /// <summary>
        /// 手机端是否启用
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int PhoneIsEnable { get; set; }

        /// <summary>
        /// 手机端图标
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(100)")]
        public string Icon { get; set; }
    }
}
